
<script src="https://www.gstatic.com/firebasejs/3.6.1/firebase.js"></script>
<script>
    // Initialize Firebase
    var config = {
        apiKey: "AIzaSyD8p2IfYFt9paEd5p6GWfVY4yr4K4dniyw",
        authDomain: "ts-dash.firebaseapp.com",
        databaseURL: "https://ts-dash.firebaseio.com",
        storageBucket: "ts-dash.appspot.com",
        messagingSenderId: "574899589305"
    };
    firebase.initializeApp(config);

    var commentsRef = firebase.database().ref().child('/');

    commentsRef.on('child_changed', function(d) {
        var data = d.val();
        console.log(data);
        var arrayLength = data.length;
        var newContent = "";
        for (var i = 0; i < arrayLength; i++) {
            var message = data[i]["message"];
            var image = data[i]["image"];
            var name = data[i]["user"];
            newContent = newContent + "<hr><img style=\"float:left;width:42px;height:42px;margin:5px\" src=\"" + image + "\"><b>" + name + "</b><br>" + message;

            var attachment = data[i]["preview"];

            if (attachment) {
                newContent = newContent + "<br><img height=\"200\" src=\"" + attachment + "\">";
            }
        }
        document.getElementById("slack_data").innerHTML = newContent;
    });
</script>

<div id="slack_data">Data</div>
